aboutsummaryrefslogtreecommitdiff
path: root/lint/sh.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lint/sh.sh')
-rw-r--r--lint/sh.sh14
1 files changed, 8 insertions, 6 deletions
diff --git a/lint/sh.sh b/lint/sh.sh
index 89704c0b..c1c972c8 100644
--- a/lint/sh.sh
+++ b/lint/sh.sh
@@ -1,6 +1,8 @@
-find sh \
- keychain/profile.d keychain/shrc.d \
- ksh/shrc.d \
- mpd/profile.d \
- plenv/profile.d plenv/shrc.d \
- -type f -print -exec shellcheck -e SC1090 -s sh -- {} +
+set \
+ sh/profile \
+ sh/profile.d/*.sh \
+ sh/shinit \
+ sh/shrc \
+ sh/shrc.d/*.sh
+shellcheck -e SC1090 -s sh -- "$@" || exit
+printf 'POSIX shell dotfiles linted successfully.\n'